
function mudfish_adclean_67121c504f52f87cca307398f2f30f60() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`#danawa_main_container ul.prod-list.swiper-slide > li:has(span.ad)`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_67121c504f52f87cca307398f2f30f60();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_67121c504f52f87cca307398f2f30f60();
  });
}
